%global version_major 1
%global serial 18
%global meadalpha %{nil}
%global meadrel %{nil}
%{!?scl:%global scl jbcs-httpd24}
%scl_package %scl

Summary: Package that installs %scl
Name: %scl_name
Version: 1
Release: %{serial}%{?dist}

License: GPLv2+
# We are not actually doing any collection switching yet
#Requires: %{scl_prefix}scannotation
BuildRequires: scl-utils-build

%description
This is the main package for %scl Software Collection.

%package runtime
Summary: Package that handles %scl Software Collection.
Requires: scl-utils

%description runtime
Package shipping essential scripts to work with %scl Software Collection.

%package build
Summary: Package shipping basic build configuration
BuildRequires: scl-utils-build
Requires: %{name}-runtime = %{version}-%{release}

%description build
Package shipping essential configuration macros to build %scl Software Collection.

%prep
%setup -c -T

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_scl_scripts}/root
cat >> %{buildroot}%{_scl_scripts}/enable << EOF
export PATH=%{_bindir}:%{_scl_root}/sbin\${PATH:+:\${PATH}}
export LD_LIBRARY_PATH=%{_libdir}\${LD_LIBRARY_PATH:+:\${LD_LIBRARY_PATH}}
export MANPATH=%{_mandir}:\$MANPATH
export PKG_CONFIG_PATH=%{_libdir}/pkgconfig\${PKG_CONFIG_PATH:+:\${PKG_CONFIG_PATH}}
EOF
%scl_install

cat >> %{buildroot}%{_scl_scripts}/service-environment << EOF
# Services are started in a fresh environment without any influence of user's
# environment (like environment variable values). As a consequence,
# information of all enabled collections will be lost during service start up.
# If user needs to run a service under any software collection enabled, this
# collection has to be written into HTTPD24_HTTPD_SCLS_ENABLED variable in
# /opt/rh/sclname/service-environment.
JBCS_HTTPD24_HTTPD_SCLS_ENABLED="%{scl}"
EOF

%files

%files runtime
%scl_files
%config(noreplace) %{_scl_scripts}/service-environment

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config

%changelog
* Mon Dec 21 2020 cpaas-ops <cpaas-ops@redhat.com> - 1-18
Built by CPaaS

* Thu Dec 17 2020 cpaas-ops <cpaas-ops@redhat.com> - 1-17
Built by CPaaS

* Thu Dec 17 2020 cpaas-ops <cpaas-ops@redhat.com> - 1-16
Built by CPaaS

* Sat Oct 10 2020 cpaas-ops <cpaas-ops@redhat.com> - 1-15
Built by CPaaS

* Fri Oct 09 2020 cpaas-ops <cpaas-ops@redhat.com> - 1-14
Built by CPaaS

* Thu Oct 08 2020 cpaas-ops <cpaas-ops@redhat.com> - 1-13
Built by CPaaS

* Wed Oct 07 2020 cpaas-ops <cpaas-ops@redhat.com> - 1-12
Built by CPaaS

* Tue Oct 06 2020 cpaas-ops <cpaas-ops@redhat.com> - 1-11
Built by CPaaS

* Tue Oct 06 2020 cpaas-ops <cpaas-ops@redhat.com> - 1-10
Built by CPaaS

* Tue Jul 24 2018 Hui Wang <huwang@redhat.com> - 1-6
- Fix JBCS-396

* Fri Feb 12 2016 David Walluck <dwalluck@redhat.com> 1-3
- fix (Build)Requires of build package

* Fri Dec 11 2015 Fernando Nasser <fnasser@redhat.com> 1-2
- Create service-environment file for use in init scripts

* Fri Dec 11 2015 Fernando Nasser <fnasser@redhat.com> 1-1
- Adapted from the eap7 one
